%define pre %nil
%define version_name %{name}-%{version}
%define iconname %{name}.png


Summary:	The user-friendly, lightweight and fast GTK2 based email client
Name:		claws-mail
Version:	3.8.1
Release:	%mkrel 1
Epoch:		1
License:	GPLv3+
Group:		Networking/Mail
URL:		http://www.claws-mail.org
Source0:	http://downloads.sourceforge.net/sylpheed-claws/%{name}-%{version}.tar.bz2
Patch1:		claws-mail-3.8.1-procmime-vuln.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1) >= 0.60
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:	pkgconfig(enchant) >= 1.0.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.6
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.6
BuildRequires:	pkgconfig(gnutls) >= 2.2
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.0
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.5
BuildRequires:	pkgconfig(NetworkManager) >= 0.6.2
BuildRequires:	docbook-utils
BuildRequires:	libsm-devel
BuildRequires:	openldap-devel
BuildRequires:	pilot-link-devel
BuildRequires:	multiarch-utils
BuildRequires:	libetpan-devel >= 0.42
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	valgrind-devel
BuildRequires:	spamassassin-spamd >= 3.0.0
BuildRequires:	libgcrypt-devel
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	imagemagick
BuildRequires:	compface-devel

Requires:	compface
Requires:	rootcerts
Requires:	common-licenses
Requires:	enchant-dictionary = 2

%description
Claws-Mail is an e-mail client (and news reader) based on GTK+, running
on X Window System, and aiming for:
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package. It has
some additional features, and also extends existing features.

Addtitional features include:
    o Scoring
    o Spell checking
    o Return receipts

Improved features include:
    o SMTP Auth
    o Filtering
    o MIME attachments
    o Integrated News reader
    o Automatic mail checking
    o Line-wrapping
    o XML-based addressbook
    o Newly arrived and unread message management
    o Printing
    o GnuPG support
    o Address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://www.claws-mail.org/features.php

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{name}-devel
Development files and headers for %{name}.

%package bogofilter-plugin
Summary:	Bogofilter plugin for %{name}
Group:		Networking/Mail
BuildRequires:	bogofilter
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bogofilter

%description bogofilter-plugin
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using Bogofilter. It can 
optionally delete mail identified as spam or save it 
to a designated folder. Bogofilter is a pure Bayesian 
filter, therefore it has better speed performance 
than SpamAssassin but might catch less spam.

%package smime-plugin
Summary:	S/Mime plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description smime-plugin
This plugin allows to use S/Mime signatures and encryptions
in Claws Mail

%package dillo_viewer-plugin
Summary:	Dillo HTML viewer plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	dillo

%description dillo_viewer-plugin
This plugin uses the Dillo browser to view text/html
MIME parts inside %{name}.

%package pgpcore-plugin
Summary:	PGP core plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description pgpcore-plugin
Handles core PGP functions and is a dependency of both 
the PGP/Inline and PGP/MIME plugins.

%package pgpinline-plugin
Summary:	PGP/Inline plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}

%description pgpinline-plugin
Handles PGP/Inline signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign 
and encrypt your own mails.

%package pgpmime-plugin
Summary:	PGP/MIME plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}

%description pgpmime-plugin
Handles PGP/MIME signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package spamassassin-plugin
Summary:	Spamassassin-plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	spamassassin-spamd

%description spamassassin-plugin
Enables the scanning of incoming mail received from a 
POP, IMAP, or LOCAL account using SpamAssassin

See README for configuration and set-up info.

%package trayicon-plugin
Summary:	Notification icon for %{name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description trayicon-plugin
Places an icon in the system tray that indicates 
whether you have any new mail. A tooltip also shows 
the current new, unread and total number of messages, 
and a contextual menu allows the most common operations.

See README for additional info.

%prep
%setup -q
%patch1 -p1 -b .CVE-2012-4507

%build
%configure2_5x --disable-static --disable-rpath
%make

%check
make check

%install
%makeinstall_std

# multiarch
%multiarch_includes %{buildroot}%{_includedir}/%{name}/config.h

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
%__install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
%__install -m644 %{name}-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{iconname}
%__install -m644 %{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{iconname}

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS NEWS README* TODO* RELEASE_NOTES tools
%{_bindir}/%{name}
%{_bindir}/sylpheed-claws
%{_datadir}/applications/claws-mail.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/%{name}.*

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/claws-mail.pc
%multiarch %{multiarch_includedir}/%{name}/config.h

%files bogofilter-plugin
%{_libdir}/%{name}/plugins/bogofilter.so

%files smime-plugin
%{_libdir}/%{name}/plugins/smime.so
%{_libdir}/%{name}/plugins/smime.deps

%files dillo_viewer-plugin
%doc src/plugins/dillo_viewer/README
%{_libdir}/%{name}/plugins/dillo*.so

%files pgpcore-plugin
%{_libdir}/%{name}/plugins/pgpcore.so

%files pgpinline-plugin
%{_libdir}/%{name}/plugins/pgpinline.so
%{_libdir}/%{name}/plugins/pgpinline.deps

%files pgpmime-plugin
%{_libdir}/%{name}/plugins/pgpmime.so
%{_libdir}/%{name}/plugins/pgpmime.deps

%files spamassassin-plugin
%doc src/plugins/spamassassin/README
%{_libdir}/%{name}/plugins/spamassassin*.so

%files trayicon-plugin
%doc src/plugins/trayicon/README
%{_libdir}/%{name}/plugins/trayicon.so


%changelog

* Tue Oct 23 2012 luigiwalser <luigiwalser> 1:3.8.1-1.mga2
+ Revision: 309486
- update to 3.8.1 (3.8.0 is not buildable)
- add patch from opensuse to fix CVE-2012-4507

  + fwang <fwang>
    - rebuild for new libetpan

* Fri Dec 30 2011 julien <julien> 1:3.8.0-2.mga2
+ Revision: 189106
- fix error message with missing dictionary by putting a require on enchant-dictionary = 2 (pulls myspell ATM but should do the right thing when hunspell will advertise enchant-dictionary)

* Sun Dec 18 2011 fwang <fwang> 1:3.8.0-1.mga2
+ Revision: 183593
- br gcrypt
- update br
- new version 3.8.0

* Sat Nov 19 2011 julien <julien> 1:3.7.10-2.mga2
+ Revision: 169160
- add patch to compile with glib3.31+ and gnutls 3+
- clean up spec a bit
- drop old provide/obsolete

* Fri Sep 02 2011 fwang <fwang> 1:3.7.10-1.mga2
+ Revision: 137860
- new version 3.7.10
- rebuild for new gnutls

* Wed Jul 13 2011 ahmad <ahmad> 1:3.7.9-2.mga2
+ Revision: 123688
- Add a patch from upstream to fix a crash on startup
  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2414
  should fix (mga#2128)

* Thu Jun 30 2011 ahmad <ahmad> 1:3.7.9-1.mga2
+ Revision: 116291
- Update to 3.7.9
- Drop patch0, fixed upstream
- Build with no-undedined

* Tue Jun 21 2011 ahmad <ahmad> 1:3.7.8-3.mga2
+ Revision: 110897
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Fri Feb 25 2011 ahmad <ahmad> 1:3.7.8-2.mga1
+ Revision: 59230
- drop old/unneeded scriptlets
- drop old obsoletes/provides

  + kharec <kharec>
    - imported package claws-mail

